Package: org.grails.spring.context.support

## [Groovy] Class MapBasedSmartPropertyOverrideConfigurer

- org.grails.spring.context.support.MapBasedSmartPropertyOverrideConfigurer

- All Implemented Interfaces and Traits:
    org.springframework.beans.factory.config.BeanFactoryPostProcessor, GrailsApplicationAware

      @groovy.transform.CompileStatic
      class MapBasedSmartPropertyOverrideConfigurer
      extends java.lang.Object

  Applies property configuration from a Map with bean names as keys and bean properties as name/value Maps (i.e. Map<String,Map<String,Object>>), trying to handle FactoryBeans specially by applying the properties to the actual bean.

  Authors:
    Luke Daley
    Graeme Rocher

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `GrailsApplication` | `grailsApplication`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected void` | `applyPropertyValue(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, java.lang.String property, java.lang.Object value)`
    `` | `protected java.util.Map<java.lang.String, java.lang.Object>` | `getBeansConfig()`
    `` | `protected java.lang.ClassLoader` | `getClassLoader()`
    `` | `protected org.springframework.beans.factory.config.BeanDefinition` | `getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName)`
    `` | `protected org.springframework.beans.factory.config.BeanDefinition` | `getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition)`
    `` | `protected org.springframework.beans.factory.config.BeanDefinition` | `getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition, java.lang.Class beanClass)`
    `` | `protected org.springframework.beans.factory.config.BeanDefinition` | `getTargetBeanDefinitionForFactoryBean(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition, java.lang.Class<? extends org.springframework.beans.factory.FactoryBean> beanClass)`
    `` | `void` | `postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### @org.springframework.beans.factory.annotation.Autowired GrailsApplication grailsApplication

  - ### Method Detail

    - #### protected void applyPropertyValue(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, java.lang.String property, java.lang.Object value)

    - #### @groovy.transform.CompileStatic(TypeCheckingMode.SKIP) protected java.util.Map<java.lang.String, java.lang.Object> getBeansConfig()

    - #### protected java.lang.ClassLoader getClassLoader()

    - #### protected org.springframework.beans.factory.config.BeanDefinition getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName)

    - #### protected org.springframework.beans.factory.config.BeanDefinition getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition)

    - #### protected org.springframework.beans.factory.config.BeanDefinition getTargetBeanDefinition(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition, java.lang.Class beanClass)

    - #### protected org.springframework.beans.factory.config.BeanDefinition getTargetBeanDefinitionForFactoryBean(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory, java.lang.String beanName, org.springframework.beans.factory.config.BeanDefinition beanDefinition, java.lang.Class<? extends org.springframework.beans.factory.FactoryBean> beanClass)

    - #### void postProcessBeanFactory(org.springframework.beans.factory.config.ConfigurableListableBeanFactory factory)